Get a delivered video's links
get_media, in Reads: Any connection or key may call these.
POST
Short-lived links to a delivered video and its poster frame: its newest delivery unless versionId names one. The links expire in minutes; share a video for a lasting link.
apiKeyheader
AuthorizationBearer <token>An API key (prb_…) from Settings → Connections.
application/json- body
videoId*stringFormat
uuidversionId?stringFormat
uuidpurpose?stringDefault
"playback"Value in
"playback""download"The tool's answer.
application/json- response
versionId*stringFormat
uuidurl*stringposterUrl*string|nullexpiresAt*stringcurl -X POST 'https://probably.co/api/v1/tools/get_media' \ -H "Authorization: Bearer $PROBABLY_API_KEY" \ -H 'Content-Type: application/json' \ -d '{ "videoId": "3524e86f-1bba-489a-bf6b-386ea1abbac0"}'{ "versionId": "14707576-2549-4848-82ed-f68f8a1b47c7", "url": "string", "posterUrl": "string", "expiresAt": "string"}